/*

    Utility definitions for mathematical functions
    
    You should include <math.h> when using this file.
    
*/

#define max(x, y) (((x) > (y)) ? (x) : (y))		  /* Maximum */
#define min(x, y) (((x) < (y)) ? (x) : (y))		  /* Maximum */
#define sgn(x) (((x) < 0) ? -1 : ((x) > 0 ? 1 : 0))	  /* Extract sign */
#define abs(x) ((x) < 0 ? (-(x)) : (x)) 		  /* Absolute val */
#define fixangle(a) ((a) - 360.0 * (floor((a) / 360.0)))  /* Fix angle */
#define fixangr(a)  ((a) - (M_PI * 2) * (floor((a) / (M_PI * 2))))  /* Fix angle in radians */
#define dtr(x) ((x) * (M_PI / 180.0))			  /* Degree->Radian */
#define rtd(x) ((x) / (M_PI / 180.0))			  /* Radian->Degree */
#define sq(x)  ((x) * (x))				  /* Square */
#define mod(a, b) ((a) - ((b) * floor((a) / (b))))  	  /* Mod for non-integral quantities */
